You Tube
Get a timestamped YouTube transcript
Returns a YouTube video transcript through the standard scrape response shape. Every successful response costs 5 credits. Failed requests are not charged.
POST
/youtube/transcriptReturns a YouTube video transcript through the standard scrape response shape. Every successful response costs 5 credits. Failed requests are not charged.
Authorization
api-key AuthorizationBearer <token>
Enter your API key with the bc_ prefix
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
formats?array<|||>
Output formats - can be simple strings or format objects with options
Default
[ "markdown"]timeout?number
Request timeout in milliseconds
Default
30000url*string
A YouTube URL that identifies one video. Watch, Shorts, live, embed, and youtu.be URLs are supported.
Response Body
application/json
curl -X POST "https://example.com/youtube/transcript" \ -H "Content-Type: application/json" \ -d '{ "url": "https://www.youtube.com/watch?v=aircAruvnKk" }'{ "credits": { "used": 0 }, "data": {}, "error": "string", "metadata": { "authorName": "string", "authorUrl": "http://example.com", "contentType": "string", "durationSeconds": 0, "durationText": "string", "language": "string", "source": "string", "statusCode": 0, "thumbnailUrl": "http://example.com", "timestamp": "2019-08-24T14:15:22Z", "title": "string", "url": "http://example.com", "videoId": "string" }, "success": true}Empty
Empty
Empty
Empty
Empty
Empty
Empty